﻿using Infragistics.Controls.Editors;
using Infragistics.Controls.Editors.Primitives;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using Infragistics;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        void Calendar_Loaded(object sender, RoutedEventArgs e)
        {
            DateTime startDate = DateTime.MinValue;
            DateTime endDate = DateTime.Now.AddDays(-1);

            // create a new disabled range to disable one or more dates
            DateRange range;
            if (endDate.CompareTo(startDate) < 0)
            {
                range = new DateRange(endDate, startDate);
            }
            else
            {
                range = new DateRange(startDate, endDate);
            }

            if ((sender as XamCalendar).DisabledDates.Contains(range) == false)
            {
                (sender as XamCalendar).DisabledDates.Add(range);
            }
        }
    }
}
